RESULT_CODE = "resultCode"
RESULT_DESC = "result"

SUCCESSFUL = 0
FAILED = 1
RUNNING = 100
NOT_RUNNING = 101
NO_PROCESS = 200

def init_result_table(tableBuilder):
    tableBuilder.addHeader(RESULT_CODE) 
    tableBuilder.addHeader(RESULT_DESC)

def create_status_reply(code, msg, tableBuilder):
    row = tableBuilder.addRow()
    row.setCell(RESULT_CODE, code)
    row.setCell(RESULT_DESC, msg)
    
def get_method(parameters):
    return parameters.get("method")

def get_permid(parameters):
    return parameters.get("permId")

def get_userid(parameters):
    return parameters.get("userId")

def get_toolparameter(parameters):
    return parameters.get("toolParameter")

def get_auth(parameters):
    return parameters.get("auth")
